## imcode.server.document
Class FileDocumentDomainObject

    java.lang.Object
      imcode.server.document.DocumentDomainObject
          imcode.server.document.FileDocumentDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class FileDocumentDomainObject

extends DocumentDomainObject

See Also:
  Serialized Form

Nested Class Summary
`static class` `FileDocumentDomainObject.FileDocumentFile`

Nested classes/interfaces inherited from class imcode.server.document.DocumentDomainObject
`DocumentDomainObject.Attributes`

Field Summary
`static java.lang.String` `MIME_TYPE__APPLICATION_OCTET_STREAM`
`static java.lang.String` `MIME_TYPE__UNKNOWN_DEFAULT`

Fields inherited from class imcode.server.document.DocumentDomainObject
`attributes, DOCUMENT_PROPERTIES__IMCMS_DOCUMENT_ALIAS, ID_NEW`

Constructor Summary
`FileDocumentDomainObject()`

Method Summary
`void` `accept(DocumentVisitor documentVisitor)`
`void` `addFile(java.lang.String fileId, FileDocumentDomainObject.FileDocumentFile file)`
`void` `changeFileId(java.lang.String oldFileId, java.lang.String newFileId)`
`FileDocumentDomainObject.FileDocumentFile` `getDefaultFile()`
`java.lang.String` `getDefaultFileId()`
`DocumentTypeDomainObject` `getDocumentType()`
`FileDocumentDomainObject.FileDocumentFile` `getFile(java.lang.String fileId)`
`FileDocumentDomainObject.FileDocumentFile` `getFileOrDefault(java.lang.String fileId)`
`java.util.Map` `getFiles()`
`FileDocumentDomainObject.FileDocumentFile` `removeFile(java.lang.String fileId)`
`void` `setDefaultFileId(java.lang.String defaultFileId)`

Methods inherited from class imcode.server.document.DocumentDomainObject

`addCategoryId, addSectionId, clone, equals, fromDocumentTypeId, getActualModifiedDatetime, getAlias, getArchivedDatetime, getAttributes, getCategoryIds, getCreatedDatetime, getCreatorId, getDocumentPermissionSetTypeForRoleId, getDocumentTypeId, getDocumentTypeName, getHeadline, getHeadline, getI18nMeta, getId, getKeywords, getKeywords, getLanguageIso639_2, getLifeCyclePhase, getMenuImage, getMenuImage, getMenuText, getMenuText, getMeta, getModifiedDatetime, getName, getPermissionSets, getPermissionSetsForNewDocuments, getProperties, getProperty, getPublicationEndDatetime, getPublicationStartDatetime, getPublicationStatus, getPublisherId, getRoleIdsMappedToDocumentPermissionSetTypes, getSectionIds, getTarget, hashCode, isActive, isArchived, isLinkableByOtherUsers, isLinkedForUnauthorizedUsers, isPublished, isRestrictedOneMorePrivilegedThanRestrictedTwo, isSearchDisabled, removeAllCategories, removeAllSections, removeCategoryId, removeProperty, setActualModifiedDatetime, setAlias, setArchivedDatetime, setAttributes, setCategoryIds, setCreatedDatetime, setCreator, setCreatorId, setDependenciesMetaIdToNull, setDocumentPermissionSetTypeForRoleId, setHeadline, setHeadline, setId, setKeywords, setLanguageIso639_2, setLinkableByOtherUsers, setLinkedForUnauthorizedUsers, setMenuImage, setMenuText, setMenuText, setMeta, setModifiedDatetime, setPermissionSets, setPermissionSetsForNew, setProperties, setProperty, setPublicationEndDatetime, setPublicationStartDatetime, setPublicationStatus, setPublisher, setPublisherId, setRestrictedOneMorePrivilegedThanRestrictedTwo, setRoleIdsMappedToDocumentPermissionSetTypes, setSearchDisabled, setSectionIds, setTarget`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MIME_TYPE__APPLICATION_OCTET_STREAM

    public static final java.lang.String MIME_TYPE__APPLICATION_OCTET_STREAM

See Also:
  Constant Field Values

### MIME_TYPE__UNKNOWN_DEFAULT

    public static final java.lang.String MIME_TYPE__UNKNOWN_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### FileDocumentDomainObject

    public FileDocumentDomainObject()

Method Detail

### getDocumentType

    public DocumentTypeDomainObject getDocumentType()

  Specified by:
    `getDocumentType` in class `DocumentDomainObject`

### accept

    public void accept(DocumentVisitor documentVisitor)

  Specified by:
    `accept` in class `DocumentDomainObject`

### addFile

    public void addFile(java.lang.String fileId,
                        FileDocumentDomainObject.FileDocumentFile file)

### getFiles

    public java.util.Map getFiles()

### getFile

    public FileDocumentDomainObject.FileDocumentFile getFile(java.lang.String fileId)

### removeFile

    public FileDocumentDomainObject.FileDocumentFile removeFile(java.lang.String fileId)

### setDefaultFileId

    public void setDefaultFileId(java.lang.String defaultFileId)

### getDefaultFileId

    public java.lang.String getDefaultFileId()

### getFileOrDefault

    public FileDocumentDomainObject.FileDocumentFile getFileOrDefault(java.lang.String fileId)

### getDefaultFile

    public FileDocumentDomainObject.FileDocumentFile getDefaultFile()

### changeFileId

    public void changeFileId(java.lang.String oldFileId,
                             java.lang.String newFileId)